Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2009-4142
Description:The htmlspecialchars function in PHP before 5.2.12 does not properly handle (1) overlong UTF-8 sequences, (2) invalid Shift_JIS sequences, and (3) invalid EUC-JP sequences, which allows remote attackers to conduct cross-site scripting (XSS) attacks by placing a crafted byte sequence before a special character.
Test IDs: 1.3.6.1.4.1.25623.1.0.66711   1.3.6.1.4.1.25623.1.0.66610   1.3.6.1.4.1.25623.1.0.66885   1.3.6.1.4.1.25623.1.0.122400  
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2009-4142
http://lists.apple.com/archives/security-announce/2010//Mar/msg00001.html
BugTraq ID: 37389
http://www.securityfocus.com/bid/37389
Debian Security Information: DSA-2001 (Google Search)
http://www.debian.org/security/2010/dsa-2001
HPdes Security Advisory: HPSBUX02543
http://marc.info/?l=bugtraq&m=127680701405735&w=2
HPdes Security Advisory: SSRT100152
http://marc.info/?l=bugtraq&m=127680701405735&w=2
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10005
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7085
http://securitytracker.com/id?1023372
http://secunia.com/advisories/37821
http://secunia.com/advisories/38648
http://secunia.com/advisories/40262
http://www.vupen.com/english/advisories/2009/3593




© 1998-2021 E-Soft Inc. All rights reserved.